package com.openhis.web.appointmentmanage.appservice;

import com.core.common.core.domain.R;
import com.openhis.appointmentmanage.domain.ClinicRoom;

public interface IClinicRoomAppService {

    /**
     * 分页查询诊室列表
     * @param pageNum 页码
     * @param pageSize 每页条数
     * @param orgName 卫生机构名称
     * @param roomName 诊室名称
     * @return 分页查询结果
     */
    R<?> selectClinicRoomPage(Integer pageNum, Integer pageSize, String orgName, String roomName);

    /**
     * 查询诊室详情
     * @param id 诊室ID
     * @return 诊室详情
     */
    R<?> selectClinicRoomById(Long id);

    /**
     * 新增诊室
     * @param clinicRoom 诊室信息
     * @return 新增结果
     */
    R<?> insertClinicRoom(ClinicRoom clinicRoom);

    /**
     * 更新诊室
     * @param clinicRoom 诊室信息
     * @return 更新结果
     */
    R<?> updateClinicRoom(ClinicRoom clinicRoom);

    /**
     * 删除诊室
     * @param id 诊室ID
     * @return 删除结果
     */
    R<?> deleteClinicRoomById(Long id);
}
